Package twisted :: Package persisted :: Module dirdbm

[show private | hide private]
[frames | no frames]

## Module twisted.persisted.dirdbm

DBM-style interface to a directory.

Each key is stored as a single file. This is not expected to be very fast or efficient, but it's good for easy debugging.

DirDBMs are *not* thread-safe, they should only be accessed by one thread at a time.

Classes
`DirDBM` | A directory with a DBM interface.
`Shelf` | A directory with a DBM shelf interface.

Function Summary
| ``open`(file, flag, mode)` This is for 'anydbm' compatibility.

Function Details

### open(file, flag=None, mode=None)

This is for 'anydbm' compatibility.

  Parameters:
    `file` - The parameter to pass to the DirDBM constructor.
    `flag` - ignored
    `mode` - ignored

Generated by Epydoc 1.1 on Sat Feb 15 21:17:56 2003 | http://epydoc.sf.net